[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [Pkg-fonts-devel] [idea]: please consider to compress your package with xz



Hello Yamane San,

On 07:41 Tue 29 May     , Hideki Yamane wrote:
<snipped> 
> ---------------------------------------------------------------------
> * How to compress with xz?
> ---------------------------------------------------------------------
> 
>  If you build package with dh7 or later, it's simple. Please add these lines
>  to your debian/rules.
> 
> override_dh_builddeb:
>         dh_builddeb -- -Zxz
> 
>  That's all :)

I tried this but with options you gave in latest mail to this thread I
do see a lintian warning which is of course pedantic.

P: fonts-lato: data.tar.xz-member-without-dpkg-pre-depends
N: 
N:    The deb uses xz compression for the data member, which requires a
N:    Pre-Depends on dpkg (>= 1.15.6~). This is trivially satisfied in Debian,
N:    but it can complicate upgrades from Ubuntu Lucid where dpkg 1.15.6 is
N:    not currently available.
N:    
N:    Severity: pedantic, Certainty: certain
N:    
N:    Check: deb-format, Type: binary, udeb

Is it okay to leave this warning as is or I need to fix this warning

Also I've uploaded completed package built with xz to mentors [1] I've
enabled DM-Upload-Allowed please considering uploading package with
this.

If some one can upload my package it would be great :-)


[1] http://mentors.debian.net/debian/pool/main/f/fonts-lato/fonts-lato_1.104-2.dsc


With Best Regards
-- 
Vasudev Kamath
http://copyninja.info
Connect on ~friendica: copyninja@{frndk.de | vasudev.homelinux.net}
IRC nick: copyninja | vasudev {irc.oftc.net | irc.freenode.net}
GPG Key: C517 C25D E408 759D 98A4  C96B 6C8F 74AE 8770 0B7E

Attachment: signature.asc
Description: Digital signature


Reply to: